langcode: en
status: true
dependencies:
  config:
    - core.entity_form_mode.media.media_library
    - entity_browser.browser.multiple_media_browser
    - field.field.media.gallery.field_media_gallery
    - field.field.media.gallery.field_media_in_library
    - media.type.gallery
  module:
    - advanced_text_formatter
    - entity_browser
    - length_indicator
    - maxlength
id: media.gallery.media_library
targetEntityType: media
bundle: gallery
mode: media_library
content:
  field_media_gallery:
    type: entity_browser_entity_reference
    weight: 1
    region: content
    settings:
      entity_browser: multiple_media_browser
      field_widget_display: rendered_entity
      field_widget_edit: true
      field_widget_remove: true
      field_widget_replace: false
      open: true
      field_widget_display_settings:
        view_mode: field_preview
      selection_mode: selection_edit
    third_party_settings: {  }
  field_media_in_library:
    type: boolean_checkbox
    weight: 2
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  name:
    type: string_textfield
    weight: 0
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings:
      length_indicator:
        indicator: false
        indicator_opt:
          optimin: 10
          optimax: 15
          tolerance: 5
      maxlength:
        maxlength_js: null
        maxlength_js_label: 'Content limited to @limit characters, remaining: <strong>@remaining</strong>'
      advanced_text_formatter:
        show_token_tree: 0
hidden:
  created: true
  langcode: true
  path: true
  publish_on: true
  publish_state: true
  scheduler_settings: true
  status: true
  uid: true
  unpublish_on: true
  unpublish_state: true
